Uploaded image for project: 'Qpid'
  1. Qpid
  2. QPID-8247

[Broker-J] Upgrade mockito to 2.x

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: qpid-java-broker-7.1.0
    • Component/s: Broker-J
    • Labels:
      None

      Description

      The Qpid Broker tests depends on mockito version 1.9.5. In order to be able to build broker with java9 and above we need to upgrade mockito at least to version 2.20.0 where compatibility with java 11 was added. Mockito version 2.22.0 is considered to upgrade to.

        Attachments

          Activity

            People

            • Assignee:
              orudyy Alex Rudyy
              Reporter:
              orudyy Alex Rudyy
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: